package cn.cecep.talroad.mapper.effective;

import cn.cecep.talroad.domain.effective.PCodeRegion;
import cn.cecep.talroad.domain.vo.PCodeStationVo;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

@Mapper
public interface PCodeRegionMapper extends BaseMapper<PCodeRegion> {
    int updateBatch(List<PCodeRegion> list);

    int updateBatchSelective(List<PCodeRegion> list);

    int batchInsert(@Param("list") List<PCodeRegion> list);

    List<PCodeStationVo> findStationPullDataList(@Param("regionCode") String regionCode, @Param("levelCodeList") List<String> levelCodeList);

    Map<String, BigDecimal> selectMapConig(@Param("regionCode") String regionCode);
}
